
From: Geert Uytterhoeven <geert@linux-m68k.org>

ncr53c7xx: Cleanup prototypes for ncr53c7xx_init()



---

 25-akpm/drivers/scsi/53c7xx.c   |    4 ++--
 25-akpm/drivers/scsi/53c7xx.h   |    4 ++++
 25-akpm/drivers/scsi/amiga7xx.c |    3 ---
 25-akpm/drivers/scsi/bvme6000.c |    3 ---
 25-akpm/drivers/scsi/mvme16x.c  |    3 ---
 5 files changed, 6 insertions(+), 11 deletions(-)

diff -puN drivers/scsi/53c7xx.c~68k-365 drivers/scsi/53c7xx.c
--- 25/drivers/scsi/53c7xx.c~68k-365	Thu Jan  8 15:37:36 2004
+++ 25-akpm/drivers/scsi/53c7xx.c	Thu Jan  8 15:37:36 2004
@@ -1102,8 +1102,8 @@ NCR53c7x0_init (struct Scsi_Host *host) 
 }
 
 /* 
- * Function : static int ncr53c7xx_init(Scsi_Host_Template *tpnt, int board, 
- *	int chip, u32 base, int io_port, int irq, int dma, long long options,
+ * Function : int ncr53c7xx_init(Scsi_Host_Template *tpnt, int board, int chip,
+ *	unsigned long base, int io_port, int irq, int dma, long long options,
  *	int clock);
  *
  * Purpose : initializes a NCR53c7,8x0 based on base addresses,
diff -puN drivers/scsi/53c7xx.h~68k-365 drivers/scsi/53c7xx.h
--- 25/drivers/scsi/53c7xx.h~68k-365	Thu Jan  8 15:37:36 2004
+++ 25-akpm/drivers/scsi/53c7xx.h	Thu Jan  8 15:37:36 2004
@@ -1600,5 +1600,9 @@ struct NCR53c7x0_hostdata {
 /* Paranoid people could use panic() here. */
 #define FATAL(host) shutdown((host));
 
+extern int ncr53c7xx_init(Scsi_Host_Template *tpnt, int board, int chip,
+			  unsigned long base, int io_port, int irq, int dma,
+			  long long options, int clock);
+
 #endif /* NCR53c710_C */
 #endif /* NCR53c710_H */
diff -puN drivers/scsi/amiga7xx.c~68k-365 drivers/scsi/amiga7xx.c
--- 25/drivers/scsi/amiga7xx.c~68k-365	Thu Jan  8 15:37:36 2004
+++ 25-akpm/drivers/scsi/amiga7xx.c	Thu Jan  8 15:37:36 2004
@@ -30,9 +30,6 @@
 
 #include<linux/stat.h>
 
-extern int ncr53c7xx_init (Scsi_Host_Template *tpnt, int board, int chip, 
-			   unsigned long base, int io_port, int irq, int dma,
-			   long long options, int clock);
 
 int __init amiga7xx_detect(Scsi_Host_Template *tpnt)
 {
diff -puN drivers/scsi/bvme6000.c~68k-365 drivers/scsi/bvme6000.c
--- 25/drivers/scsi/bvme6000.c~68k-365	Thu Jan  8 15:37:36 2004
+++ 25-akpm/drivers/scsi/bvme6000.c	Thu Jan  8 15:37:36 2004
@@ -23,9 +23,6 @@
 
 #include<linux/stat.h>
 
-extern int ncr53c7xx_init(Scsi_Host_Template *tpnt, int board, int chip,
-			  unsigned long base, int io_port, int irq, int dma,
-			  long long options, int clock);
 
 int bvme6000_scsi_detect(Scsi_Host_Template *tpnt)
 {
diff -puN drivers/scsi/mvme16x.c~68k-365 drivers/scsi/mvme16x.c
--- 25/drivers/scsi/mvme16x.c~68k-365	Thu Jan  8 15:37:36 2004
+++ 25-akpm/drivers/scsi/mvme16x.c	Thu Jan  8 15:37:36 2004
@@ -21,9 +21,6 @@
 
 #include<linux/stat.h>
 
-extern int ncr53c7xx_init(Scsi_Host_Template *tpnt, int board, int chip,
-			  unsigned long base, int io_port, int irq, int dma,
-			  long long options, int clock);
 
 int mvme16x_scsi_detect(Scsi_Host_Template *tpnt)
 {

_
